org.apache.http.impl.nio

## Class SSLNHttpClientConnectionFactory

- java.lang.Object
- - org.apache.http.impl.nio.SSLNHttpClientConnectionFactory

All Implemented Interfaces:
  NHttpConnectionFactory<DefaultNHttpClientConnection>

    @Immutable
    public class SSLNHttpClientConnectionFactory
    extends Object
    implements NHttpConnectionFactory<DefaultNHttpClientConnection>

Default factory for SSL encrypted, non-blocking `NHttpClientConnection`s.

Since:
  4.2

### Field Summary

Fields
`static SSLNHttpClientConnectionFactory` `INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`SSLNHttpClientConnectionFactory()`
`SSLNHttpClientConnectionFactory(ConnectionConfig config)`
`SSLNHttpClientConnectionFactory(HttpParams params)` Deprecated. (4.3) use `SSLNHttpClientConnectionFactory(ConnectionConfig)`
`SSLNHttpClientConnectionFactory(SSLContext sslcontext, SSLSetupHandler sslHandler, ConnectionConfig config)`
`SSLNHttpClientConnectionFactory(SSLContext sslcontext, SSLSetupHandler sslHandler, ContentLengthStrategy incomingContentStrategy, ContentLengthStrategy outgoingContentStrategy, NHttpMessageParserFactory<HttpResponse> responseParserFactory, NHttpMessageWriterFactory<HttpRequest> requestWriterFactory, ByteBufferAllocator allocator, ConnectionConfig cconfig)`
`SSLNHttpClientConnectionFactory(SSLContext sslcontext, SSLSetupHandler sslHandler, HttpParams params)` Deprecated. (4.3) use `SSLNHttpClientConnectionFactory(SSLContext, SSLSetupHandler, ConnectionConfig)`
`SSLNHttpClientConnectionFactory(SSLContext sslcontext, SSLSetupHandler sslHandler, HttpResponseFactory responseFactory, ByteBufferAllocator allocator, HttpParams params)` Deprecated. (4.3) use `SSLNHttpClientConnectionFactory(SSLContext, SSLSetupHandler, NHttpMessageParserFactory, NHttpMessageWriterFactory, ByteBufferAllocator, ConnectionConfig)`
`SSLNHttpClientConnectionFactory(SSLContext sslcontext, SSLSetupHandler sslHandler, NHttpMessageParserFactory<HttpResponse> responseParserFactory, NHttpMessageWriterFactory<HttpRequest> requestWriterFactory, ByteBufferAllocator allocator, ConnectionConfig cconfig)`
`SSLNHttpClientConnectionFactory(SSLContext sslcontext, SSLSetupHandler sslHandler, NHttpMessageParserFactory<HttpResponse> responseParserFactory, NHttpMessageWriterFactory<HttpRequest> requestWriterFactory, ConnectionConfig cconfig)`

### Method Summary

Methods
`DefaultNHttpClientConnection` `createConnection(IOSession iosession)`
`protected DefaultNHttpClientConnection` `createConnection(IOSession session, HttpResponseFactory responseFactory, ByteBufferAllocator allocator, HttpParams params)` Deprecated. (4.3) no longer used.
`protected SSLIOSession` `createSSLIOSession(IOSession iosession, SSLContext sslcontext, SSLSetupHandler sslHandler)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final SSLNHttpClientConnectionFactory INSTANCE

### Constructor Detail

#### SSLNHttpClientConnectionFactory

    @Deprecated
    public SSLNHttpClientConnectionFactory(SSLContext sslcontext,
                                              SSLSetupHandler sslHandler,
                                              HttpResponseFactory responseFactory,
                                              ByteBufferAllocator allocator,
                                              HttpParams params)

Deprecated. (4.3) use `SSLNHttpClientConnectionFactory(SSLContext, SSLSetupHandler, NHttpMessageParserFactory, NHttpMessageWriterFactory, ByteBufferAllocator, ConnectionConfig)`

#### SSLNHttpClientConnectionFactory

    @Deprecated
    public SSLNHttpClientConnectionFactory(SSLContext sslcontext,
                                              SSLSetupHandler sslHandler,
                                              HttpParams params)

Deprecated. (4.3) use `SSLNHttpClientConnectionFactory(SSLContext, SSLSetupHandler, ConnectionConfig)`

#### SSLNHttpClientConnectionFactory

    @Deprecated
    public SSLNHttpClientConnectionFactory(HttpParams params)

Deprecated. (4.3) use `SSLNHttpClientConnectionFactory(ConnectionConfig)`

#### SSLNHttpClientConnectionFactory

    public SSLNHttpClientConnectionFactory(SSLContext sslcontext,
                                   SSLSetupHandler sslHandler,
                                   ContentLengthStrategy incomingContentStrategy,
                                   ContentLengthStrategy outgoingContentStrategy,
                                   NHttpMessageParserFactory<HttpResponse> responseParserFactory,
                                   NHttpMessageWriterFactory<HttpRequest> requestWriterFactory,
                                   ByteBufferAllocator allocator,
                                   ConnectionConfig cconfig)

Since:
  4.3

#### SSLNHttpClientConnectionFactory

    public SSLNHttpClientConnectionFactory(SSLContext sslcontext,
                                   SSLSetupHandler sslHandler,
                                   NHttpMessageParserFactory<HttpResponse> responseParserFactory,
                                   NHttpMessageWriterFactory<HttpRequest> requestWriterFactory,
                                   ByteBufferAllocator allocator,
                                   ConnectionConfig cconfig)

Since:
  4.3

#### SSLNHttpClientConnectionFactory

    public SSLNHttpClientConnectionFactory(SSLContext sslcontext,
                                   SSLSetupHandler sslHandler,
                                   NHttpMessageParserFactory<HttpResponse> responseParserFactory,
                                   NHttpMessageWriterFactory<HttpRequest> requestWriterFactory,
                                   ConnectionConfig cconfig)

Since:
  4.3

#### SSLNHttpClientConnectionFactory

    public SSLNHttpClientConnectionFactory(SSLContext sslcontext,
                                   SSLSetupHandler sslHandler,
                                   ConnectionConfig config)

Since:
  4.3

#### SSLNHttpClientConnectionFactory

    public SSLNHttpClientConnectionFactory(ConnectionConfig config)

Since:
  4.3

#### SSLNHttpClientConnectionFactory

    public SSLNHttpClientConnectionFactory()

Since:
  4.3

### Method Detail

#### createConnection

    @Deprecated
    protected DefaultNHttpClientConnection createConnection(IOSession session,
                                                           HttpResponseFactory responseFactory,
                                                           ByteBufferAllocator allocator,
                                                           HttpParams params)

Deprecated. (4.3) no longer used.

#### createSSLIOSession

    protected SSLIOSession createSSLIOSession(IOSession iosession,
                                  SSLContext sslcontext,
                                  SSLSetupHandler sslHandler)

Since:
  4.3

#### createConnection

    public DefaultNHttpClientConnection createConnection(IOSession iosession)

Specified by:
  `createConnection` in interface `NHttpConnectionFactory<DefaultNHttpClientConnection>`